org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

## Class MergeContainedConflictingAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.actions.BaseSelectionListenerAction
        - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeAction
          - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.AbstractMergeContainedAction
            - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeContainedConflictingAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelectionChangedListener

    public class MergeContainedConflictingAction
    extends AbstractMergeContainedAction

Action that manages a merge of a contained conflicting differences in case the selection is a resource match or a model element match.

Since:
  4.5

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.AbstractMergeContainedAction

`isFiltered`

### Fields inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeAction

`editingDomain, mergerRegistry`

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`MergeContainedConflictingAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable, org.eclipse.jface.viewers.IStructuredSelection selection, Predicate<TreeNode> isFiltered)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IMergeRunnable` `createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected Predicate<Diff>` `getDiffPredicate()` Return a predicate that filters the {`selected differences` to just those differences this action will actually operate upon.
`protected Predicate<Diff>` `getStatePredicate()`
`protected void` `initToolTipAndImage(MergeMode mode)`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.AbstractMergeContainedAction

`getSelectedDifferences, updateSelection`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeAction

`clearCache, contextualizeTooltip, execute, executeCompareCopyCommand, getDiffRelationshipComputer, getSelectedDifferences, getSelectedDifferences, getSelectedMode, isLeftEditable, isLeftToRight, isMirrored, isRightEditable, run, setAdapterFactory, setEditingDomain`

### Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction

`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeContainedConflictingAction

    public MergeContainedConflictingAction(IEMFCompareConfiguration compareConfiguration,
                                           IMerger.Registry mergerRegistry,
                                           MergeMode mode,
                                           org.eclipse.compare.INavigatable navigatable,
                                           org.eclipse.jface.viewers.IStructuredSelection selection,
                                           Predicate<TreeNode> isFiltered)

Parameters:
  `isFiltered` - The predicate to use for determining whether a `TreeNode` is filtered.

### Method Detail

#### initToolTipAndImage

    protected void initToolTipAndImage(MergeMode mode)

Overrides:
  `initToolTipAndImage` in class `MergeAction`

#### createMergeRunnable

    protected IMergeRunnable createMergeRunnable(MergeMode mode,
                                                 boolean isLeftEditable,
                                                 boolean isRightEditable,
                                                 IDiffRelationshipComputer relationshipComputer)

Overrides:
  `createMergeRunnable` in class `MergeAction`

#### getDiffPredicate

    protected Predicate<Diff> getDiffPredicate()

Description copied from class: `AbstractMergeContainedAction`
Return a predicate that filters the {`selected differences` to just those differences this action will actually operate upon.

Specified by:
  `getDiffPredicate` in class `AbstractMergeContainedAction`
Returns:
  a predicate that filters the {`selected differences`.

#### getStatePredicate

    protected Predicate<Diff> getStatePredicate()

Overrides:
  `getStatePredicate` in class `MergeAction`